Welcome to Spybot - Search & Destroy Resident

SpyBot - Search & Destroy
Resident add-on
Freeware, ©'2000-2003 Patrick Michael Kolla

Spybot-Search&Destroy is an on-demand spyware and malware scanner. That means it scans for threats whenever you choose to do so. It also offers some preventive measures like it's Immunize function.

Resident is Spybot-S&D's permanently running partner that does on-access scanning. This means that it will instantly detect and counteract to threats and unsolicitited system settings changes.


Processes

Program message:

Spybot - Search & Destroy has encountered and terminated a process that is listed as part of a malicious software.

Definition

Spybot-S&D Resident watches all applications that are being started on your computer. It knows the same bad files as the on-demand scanner of Spybot-S&D, and if it encounters an application that is known as a threat, it will automatically terminate this application.

User interactions

After the process has been terminated, you are presented with a few choices. You can assign the action Resident should take the next time it encounters this threat (like automatically killing it), and/or deleting the offending file.

Frequently Asked Questions

Q: Why does Resident terminate the application before asking?
A: Because threats like toll dialers are time critical - they cost from the first second they've connected. In order to protect you, these have to be terminated before they can connect at all, at the moment they appear.


Browser toolbars

Spybot - Search & Destroy has detected a change to an Internet Explorer toolbar.

Definition

Spybot-S&D Resident watches for new or deleted Internet Explorer toolbars.

User interactions

Did you just try to install some Internet Explorer plugin? If it's not shown as a bad one, you should proceed. If this happens out of the blue sky while surfing the web, you should get catious.


Browser helper object

Spybot - Search & Destroy has detected a change to a Browser Helper Object.

Definition

Spybot-S&D Resident watches for new or deleted Browser Helper Objects (which are plugins for Internet Explorer, sometimes expanding its functionality, but often used for malicious purposes as well).

User interactions

Did you just try to install some Internet Explorer plugin? If it's not shown as a bad one, you should proceed. If this happens out of the blue sky while surfing the web, you should get catious.


Browser page

Spybot - Search & Destroy has detected a change to Internet Explorer start or search page setting.

Definition

Spybot-S&D Resident watches all known Internet Explorer start and search page settings, and warns you about changes to them.

User interactions

If you get a warning about an Internet Explorer page that has changed when you did not change it yourself, you should usually deny it (if it is not a microsoft.com page that is set - IE tends to change pages itself on a fresh computer)


DPFs

Spybot - Search & Destroy has detected a change to some ActiveX installation.

Definition

Spybot-S&D Resident watches for new or deleted Internet Explorer Internet installations.

User interactions

Did you just try to install some Internet Explorer plugin? If it's not shown as a bad one, you should proceed. If this happens out of the blue sky while surfing the web, you should get catious.


Menu Extension

Spybot - Search & Destroy has detected a change to some custom Internet Exlorer menu entry.

Definition

Spybot-S&D Resident watches for custom Internet Explorer menu entries.

User interactions

Did you just try to install some Internet Explorer plugin? If it's not shown as a bad one, you should proceed. If this happens out of the blue sky while surfing the web, you should get catious.


Startup entry

Spybot - Search & Destroy has detected a change to a System Startup entry.

Definition

Spybot-S&D Resident watches for changes to this setting, and allows you to react to them.

User interactions

Not all startup entries are bad - you have to decide if you trust the program that asks the change. During a user-initiated software installation for example, you would usually allow this change. If this happens while surfing the web or without any intended system changes, you should be careful.